## node-zlib 1.0.5

=== Makefile ===
build:
	node-waf build

clean:
	node-waf clean

ifndef only
test: build
	@expresso -I lib test/*.test.js
else
test: build
	@expresso -I lib test/${only}.test.js
endif

.PHONY: build clean test

=== wscript ===
import os
import Options
from os.path import exists
from shutil import copy2 as copy

TARGET = 'zlib_bindings'
TARGET_FILE = '%s.node' % TARGET
built = 'build/default/%s' % TARGET_FILE
dest = 'lib/%s' % TARGET_FILE

def set_options(opt):
  opt.tool_options("compiler_cxx")

def configure(conf):
  conf.check_tool("compiler_cxx")
  conf.check_tool("node_addon")
  if not conf.check(lib="z", libpath=['/usr/local/lib'], uselib_store="ZLIB"):
    conf.fatal('Missing zlib');

  linkflags = []
  if os.environ.has_key('LINKFLAGS'):
    linkflags.extend(os.environ['LINKFLAGS'].split(' '))
  conf.env.append_value("LINKFLAGS", linkflags)

def build(bld):
  obj = bld.new_task_gen("cxx", "shlib", "node_addon")
  obj.cxxflags = ["-g", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE", "-Wall"]
  obj.target = TARGET
  obj.source = "src/node-zlib.cc"
  obj.uselib = "ZLIB"

def shutdown():
  if Options.commands['clean']:
      if exists(TARGET_FILE):
        unlink(TARGET_FILE)
  else:
    if exists(built):
      copy(built, dest)

=== debian/changelog ===
node-zlib (1.0.5-1) unstable; urgency=low

  * Initial release (Closes: #645479)

 -- David Paleino <dapal@debian.org>  Sun, 16 Oct 2011 09:06:22 +0200

=== debian/control ===
Source: node-zlib
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , zlib1g-dev
Standards-Version: 3.9.2
Homepage: https://github.com/kkaefer/node-zlib
Vcs-Git: git://git.debian.org/collab-maint/node-zlib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-zlib.git;a=summary

Package: node-zlib
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: zlib bindings for node.js
 node-zlib offers simple, synchronous deflate/inflate for node.js buffers,
 providing a binding to the zlib library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean

override_dh_auto_test:
	# nothing

override_dh_install:
	dh_install
	dh_buildinfo
